.c-preview {
  $pf: &;


  height: max-content;
  width: 100%;
  max-width: 37rem;
  border-radius: 1rem; 
  overflow: hidden;
  box-shadow: 0 1rem 3rem 0 rgba($black, 0.05);

  @include md {
    max-width: 47.5rem;
    min-width: 47.5rem;
  }

  @include lg {
    cursor: pointer;
    max-width: 67.5rem;
    min-width: 67.5rem;
  }

  &:hover {
    @include lg {
      #{$pf}__visual {
        &__img {
          transform: scale(1.04);
        }
      }

      #{$pf}__content {
        &__link {
          text-decoration: none;
        }
      }
    }
  }

  &__visual {
    position: relative;
    width: 100%;
    height: 24rem;
    overflow: hidden;

    @include md {
      height: 30rem;
    }

    @include lg {
      height: 36.8rem;
    }

    &__copyright {
      position: absolute;
      bottom: 1rem;
      right: 1rem;
      color: $white;
      font-size: 1.5rem;
      font-style: italic;
    }

    &__img {
      width: 100%;
      height: 100%;
      object-fit: cover;
      transition: all 1.5s $ease-out-expo;
    }

    &__chips {
      position: absolute;
      bottom: 2rem;
      left: 3rem;
      right: 3rem;
      display: flex;
      flex-flow: row wrap;
      gap: 1rem;

      @include md {
        left: 3.8rem;
        right: 3.8rem;
      }

      @include lg {
        left: 5.8rem;
        right: 5.8rem;
      }
    }
  }

  &__content {
    display: flex;
    flex-direction: column;
    gap: 1rem 0;
    min-height: 24rem;
    padding: 2rem 3rem;
    background-color: $white;

    @include md {
      padding: 2.5rem 3.8rem;
    }

    @include lg {
      padding: 3rem 5.7rem;
    }

    &__title {
      color: $blue;
    }

    &__tags {
      display: flex;
      flex-flow: row wrap;
      gap: 1rem;
    }

    &__desc {
      font-size: 1.4rem;
      display: -webkit-box;
      -webkit-line-clamp: 3;
      -webkit-box-orient: vertical;  
      overflow: hidden;
    }

    &__link {
      display: inline-block;
      margin-top: auto;
      color: blue;
      font-size: 1.4rem;
      text-transform: uppercase;
      text-decoration: underline;
      transform: all 0.2s ease-in-out;
    }
  }
}